Bug 1349538 - rhel-x86_64-server-7-rh-gluster-3-client channel maps are absent from channel-cert-mapping.txt
Summary: rhel-x86_64-server-7-rh-gluster-3-client channel maps are absent from channel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1462989
TreeView+ depends on / blocked
 
Reported: 2016-06-23 15:58 UTC by John Sefler
Modified: 2017-06-19 19:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1462989 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:29:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-06-23 15:58:23 UTC
Description of problem:

RHN Classic channel 'rhel-x86_64-server-7-rh-gluster-3-client' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>

RHN Classic channel 'rhel-x86_64-server-7-rh-gluster-3-client-debuginfo' is accounted for in subscription-manager-migration-data file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt'. expected:<true> but was:<false>


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# rpm -q subscription-manager-migration-datasubscription-manager-migration-data-2.0.29-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# grep "rhel-x86_64-server-7-rh-gluster-3-client" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@jsefler-rhel7 ~]# 


Actual results:
 above, no hits

Expected results:
 expected to find product cert mappings for channels:
   rhel-x86_64-server-7-rh-gluster-3-client
   rhel-x86_64-server-7-rh-gluster-3-client-debuginfo

Additional info:
  Before subscription-manager-migration-data can be fixed, an update to upstream http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json is required.

Comment 3 Shwetha Kallesh 2016-08-10 07:36:41 UTC
See the mappings for 
rhel-x86_64-server-7-rh-gluster-3-client
rhel-x86_64-server-7-rh-gluster-3-client-debuginfo

[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch


[root@dhcp35-77 ~]# grep "rhel-x86_64-server-7-rh-gluster-3-client" /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-x86_64-server-7-rh-gluster-3-client: Server-Server-x86_64-9504e60fcb1a-69.pem
rhel-x86_64-server-7-rh-gluster-3-client-debuginfo: Server-Server-x86_64-9504e60fcb1a-69.pem

Comment 5 errata-xmlrpc 2016-11-03 20:29:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.